[Python-modules-commits] [parallax] 01/02: Move internal scripts to /usr/lib/parallax

Valentin Vidic vvidic-guest at moszumanska.debian.org
Thu Dec 29 14:53:20 UTC 2016


This is an automated email from the git hooks/post-receive script.

vvidic-guest pushed a commit to branch master
in repository parallax.

commit f1e75621d4a5dbdcb90c2362ff097ff4163883fb
Author: Valentin Vidic <Valentin.Vidic at CARNet.hr>
Date:   Thu Dec 29 15:08:52 2016 +0100

    Move internal scripts to /usr/lib/parallax
    
    Fixes Lintian warning about missing manpages.
---
 debian/python-parallax.postinst  |  4 ++--
 debian/python-parallax.preinst   | 38 ++++++++++++++++++++++++++++++++++++++
 debian/python-parallax.prerm     |  2 +-
 debian/python3-parallax.postinst |  4 ++--
 debian/python3-parallax.preinst  | 38 ++++++++++++++++++++++++++++++++++++++
 debian/python3-parallax.prerm    |  2 +-
 debian/rules                     |  6 ++++--
 7 files changed, 86 insertions(+), 8 deletions(-)

diff --git a/debian/python-parallax.postinst b/debian/python-parallax.postinst
index 3562309..0402c5d 100644
--- a/debian/python-parallax.postinst
+++ b/debian/python-parallax.postinst
@@ -20,8 +20,8 @@ set -e
 
 case "$1" in
     configure)
-        update-alternatives --install /usr/bin/parallax-askpass \
-            parallax-askpass /usr/bin/parallax-askpass2 50
+        update-alternatives --install /usr/lib/parallax/parallax-askpass \
+            parallax-askpass /usr/lib/parallax/parallax-askpass2 50
     ;;
 
     abort-upgrade|abort-remove|abort-deconfigure)
diff --git a/debian/python-parallax.preinst b/debian/python-parallax.preinst
new file mode 100644
index 0000000..fa2396b
--- /dev/null
+++ b/debian/python-parallax.preinst
@@ -0,0 +1,38 @@
+#!/bin/sh
+# preinst script for python-parallax
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+#        * <new-preinst> `install'
+#        * <new-preinst> `install' <old-version>
+#        * <new-preinst> `upgrade' <old-version>
+#        * <old-preinst> `abort-upgrade' <new-version>
+# for details, see https://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+
+case "$1" in
+    install|upgrade)
+        if dpkg --compare-versions "$2" lt-nl "1.0.1-2"; then
+            update-alternatives --remove parallax-askpass /usr/bin/parallax-askpass2
+        fi
+    ;;
+
+    abort-upgrade)
+    ;;
+
+    *)
+        echo "preinst called with unknown argument \`$1'" >&2
+        exit 1
+    ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
diff --git a/debian/python-parallax.prerm b/debian/python-parallax.prerm
index 9072923..339d882 100644
--- a/debian/python-parallax.prerm
+++ b/debian/python-parallax.prerm
@@ -19,7 +19,7 @@ set -e
 
 case "$1" in
     remove|deconfigure)
-        update-alternatives --remove parallax-askpass /usr/bin/parallax-askpass2
+        update-alternatives --remove parallax-askpass /usr/lib/parallax/parallax-askpass2
     ;;
 
     upgrade)
diff --git a/debian/python3-parallax.postinst b/debian/python3-parallax.postinst
index 9cc4005..c621971 100644
--- a/debian/python3-parallax.postinst
+++ b/debian/python3-parallax.postinst
@@ -20,8 +20,8 @@ set -e
 
 case "$1" in
     configure)
-        update-alternatives --install /usr/bin/parallax-askpass \
-            parallax-askpass /usr/bin/parallax-askpass3 40
+        update-alternatives --install /usr/lib/parallax/parallax-askpass \
+            parallax-askpass /usr/lib/parallax/parallax-askpass3 40
     ;;
 
     abort-upgrade|abort-remove|abort-deconfigure)
diff --git a/debian/python3-parallax.preinst b/debian/python3-parallax.preinst
new file mode 100644
index 0000000..619e50d
--- /dev/null
+++ b/debian/python3-parallax.preinst
@@ -0,0 +1,38 @@
+#!/bin/sh
+# preinst script for python3-parallax
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+#        * <new-preinst> `install'
+#        * <new-preinst> `install' <old-version>
+#        * <new-preinst> `upgrade' <old-version>
+#        * <old-preinst> `abort-upgrade' <new-version>
+# for details, see https://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+
+case "$1" in
+    install|upgrade)
+        if dpkg --compare-versions "$2" lt-nl "1.0.1-2"; then
+            update-alternatives --remove parallax-askpass /usr/bin/parallax-askpass3
+        fi
+    ;;
+
+    abort-upgrade)
+    ;;
+
+    *)
+        echo "preinst called with unknown argument \`$1'" >&2
+        exit 1
+    ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
diff --git a/debian/python3-parallax.prerm b/debian/python3-parallax.prerm
index f3dff2e..4706e73 100644
--- a/debian/python3-parallax.prerm
+++ b/debian/python3-parallax.prerm
@@ -19,7 +19,7 @@ set -e
 
 case "$1" in
     remove|deconfigure)
-        update-alternatives --remove parallax-askpass /usr/bin/parallax-askpass3
+        update-alternatives --remove parallax-askpass /usr/lib/parallax/parallax-askpass3
     ;;
 
     upgrade)
diff --git a/debian/rules b/debian/rules
index d90334e..92fe036 100755
--- a/debian/rules
+++ b/debian/rules
@@ -6,7 +6,9 @@ export PYBUILD_NAME=parallax
 
 override_dh_auto_install:
 	dh_auto_install
+	mkdir $(CURDIR)/debian/python-parallax/usr/lib/parallax
 	mv $(CURDIR)/debian/python-parallax/usr/bin/parallax-askpass \
-	   $(CURDIR)/debian/python-parallax/usr/bin/parallax-askpass2
+	   $(CURDIR)/debian/python-parallax/usr/lib/parallax/parallax-askpass2
+	mkdir $(CURDIR)/debian/python3-parallax/usr/lib/parallax
 	mv $(CURDIR)/debian/python3-parallax/usr/bin/parallax-askpass \
-	   $(CURDIR)/debian/python3-parallax/usr/bin/parallax-askpass3
+	   $(CURDIR)/debian/python3-parallax/usr/lib/parallax/parallax-askpass3

-- 
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/python-modules/packages/parallax.git



More information about the Python-modules-commits mailing list